---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/59201#article
headline: "59201: Referenced Resource Not Found"
url: https://www.twilio.com/docs/api/errors/59201
inLanguage: en
dateModified: 2026-08-18T11:08:51.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 59201: Referenced Resource Not Found

Log Type: APPLICATION

Log Level: ERROR

## Description

A resource ID supplied in the request body refers to a resource that does not exist, or that belongs to a different account. This error is returned when creating or updating a `Setting` (invalid `authProfileId` or `sharedKeyId`) or a `Rule` (invalid `settingId`).

### Possible causes

* The referenced `AuthProfile`, `SharedKey`, or `Setting` ID was mistyped.
* The referenced resource was deleted after your application cached its ID.
* The referenced resource belongs to a different Twilio account than the one making the request.

### Possible solutions

* Confirm the referenced ID exists and is spelled correctly by fetching it directly (for example `GET /v2/Webhooks/Settings/{settingId}`).
* List the resource type to find a valid, current ID (for example `GET /v2/Webhooks/AuthProfiles`).
* Make sure the ID belongs to the same account whose credentials are used to make the request.
